Page MenuHomePhabricator

Notification to author gives wrong counts of sent and not sent mentions
Closed, ResolvedPublic

Description

In https://en.wikipedia.org/w/index.php?title=User_talk:PrimeHunter2&diff=next&oldid=760171056 my PrimeHunter2 account saved the line:
:Pinging [[User:NoSuchUser]], [[User:PrimeHunter]], [[User:PrimeHunter3]]. ~~~~

The account has both "Failed mention" and "Successful mention" enabled at https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo

It produced a notification to the author saying:

3 notifications about mentions you made on the ‪PrimeHunter2‬ talk page: 2 not sent, 1 sent.
Username does not exist: NoSuchUser
You mentioned: PrimeHunter3
You mentioned: PrimeHunter


"2 not sent, 1 sent" should have said "1 not sent, 2 sent". The rest is correct. I own the accounts. PrimeHunter and PrimeHunter3 both received a notification.

The bug was discussed in January at https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)/Archive_152#Notifications

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterFix counting of bundled mention notifications

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 28 2017, 8:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.May 2 2017, 2:42 PM

Change 351585 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Echo@master] Fix counting of bundled mention notifications

https://gerrit.wikimedia.org/r/351585

WMDE-Fisch moved this task from Todo to Currently in sprint on the WMDE-QWERTY-Team board.

Change 351585 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Fix counting of bundled mention notifications

https://gerrit.wikimedia.org/r/351585

Tobi_WMDE_SW closed this task as Resolved.May 30 2017, 10:21 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 3:13 PM